Subject: Re: [PATCH] Improve font rendering on retina macbooks

From: Pat Thoyts <[email-masked]>
Date: Tue, 27 Aug 2013 20:10:31 +0100

Mads Dørup <[email-masked]> writes:

>Hi there
>
>I've created a very small change to git gui that considerably improves the
>experience on my machine at least:
>
>diff --git a/git-gui/macosx/Info.plist b/git-gui/macosx/Info.plist
>index b3bf15f..1ade121 100644
>--- a/git-gui/macosx/Info.plist
>+++ b/git-gui/macosx/Info.plist
>@@ -24,5 +24,7 @@
>        <string>GITg</string>
>        <key>CFBundleVersion</key>
>        <string>@@GITGUI_VERSION@@</string>
>+       <key>NSHighResolutionCapable</key>
>+       <true/>
> </dict>
> </plist>
>
>
>I've read the documentation for submitting patches to git where it says that I
>have to e-mail the patch to the mail list, with relevant developers as CC. Pat
>are you the relevant developer for this?
>
>Here is a screenshot comparison of before and after the change:
>
>https://github.com/git/git/pull/48
>
>Please let me know how to proceed to get this patch in, if you like it. I've
>never contributed here before, so please me know about any procedures I have
>missed.
>
>Regards, Mads Dørup

Looks like it makes a big difference from those pictures. Patch
applied. Thank you.

-- 
Pat Thoyts                            http://www.patthoyts.tk/
PGP fingerprint 2C 6E 98 07 2C 59 C8 97  10 CE 11 E6 04 E0 B9 DD